
/* ************************************************************
メイン処理


************************************************************ */
(function (PLUGIN_ID) {
    'use strict';

    // コンフィグ情報を取得して、画面に表示する
    var config = kintone.plugin.app.getConfig(PLUGIN_ID);
    console.log(config);

    document.getElementById("text_html").value=config.text_html;


    // 保存ボタン押下時の処理
    const btn1 = document.getElementById('btn1');
    btn1.addEventListener('click',  () => {

        // console.log('btn1');

        const text_html = document.getElementById("text_html").value;
        // console.log(text_html);

        let objConfig = {
            text_html: text_html
        };

        kintone.plugin.app.setConfig(objConfig, function () {
            console.log('configを保存しました');
        });


    });

})(kintone.$PLUGIN_ID);
